aim4.vehicle

## Interface ProxyVehicleSimView

- All Superinterfaces:
    AutoVehicleDriverView, AutoVehicleSimView, VehicleDriverView, VehicleSimView
  All Known Implementing Classes:
    ProxyVehicle

      public interface ProxyVehicleSimView
      extends AutoVehicleSimView

  The interface of a proxy vehicle from the viewpoint of a simulator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface aim4.vehicle.AutoVehicleDriverView

      `AutoVehicleDriverView.LRFMode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProxyDriver` | `getDriver()` Getter method for the Driver controlling this Vehicle.
    `SocketAddress` | `getSa()`
    `void` | `processReal2ProxyMsg(Real2ProxyMsg msg)` Process the incoming Real2Proxy message
    `void` | `setDriver(ProxyDriver driver)` Set this proxy vehicle's driver.
    `void` | `setSa(SocketAddress sa)`

    - ### Methods inherited from interface aim4.vehicle.AutoVehicleSimView

      `setLRFSensing`

    - ### Methods inherited from interface aim4.vehicle.AutoVehicleDriverView

      `getBitsReceived, getBitsTransmitted, getFrontVehicleDistanceSensor, getFrontVehicleSpeedSensor, getIntervalometer, getLastV2IMessage, getLRFDistance, getLRFMode, getRearVehicleDistanceSensor, getRearVehicleSpeedSensor, getTargetLaneForVehicleTracking, getTransmissionPower, isLRFSensing, isVehicleTracking, pollAllMessagesFromI2VInbox, receive, send, setTargetLaneForVehicleTracking, setVehicleTracking`

    - ### Methods inherited from interface aim4.vehicle.VehicleSimView

      `checkCurrentTime, getAcceleration, getCenterPoint, getCornerPoints, getEdges, getHeading, getPointAtMiddleFront, getPointAtRear, getPosition, getShape, getShape, getV2IOutbox, getVelocity, getWheelShapes, move, setDriver, setVIN`

    - ### Methods inherited from interface aim4.vehicle.VehicleDriverView

      `coast, gaugeHeading, gaugePointAtMiddleFront, gaugePointAtRear, gaugePointBetweenFrontWheels, gaugePosition, gaugeRearLeftCornerPoint, gaugeRearRightCornerPoint, gaugeShape, gaugeTime, gaugeVelocity, getAccelSchedule, getSpec, getVIN, printState, removeAccelSchedule, setAccelSchedule, setAccelWithMaxTargetVelocity, setTargetVelocityWithMaxAccel, slowToStop, turnTowardPoint`

- - ### Method Detail

    - #### getDriver

          ProxyDriver getDriver()

      Getter method for the Driver controlling this Vehicle.
      Specified by:
        `getDriver` in interface `AutoVehicleDriverView`
      Specified by:
        `getDriver` in interface `VehicleDriverView`
      Returns:
        the Driver controlling this Vehicle, or `null` if none exists.

    - #### setDriver

          void setDriver(ProxyDriver driver)

      Set this proxy vehicle's driver.
      Parameters:
        `driver` - the new driver to control this Vehicle

    - #### getSa

          SocketAddress getSa()

      Returns:
        the socket address

    - #### setSa

          void setSa(SocketAddress sa)

      Parameters:
        `sa` - the new socket address to set

    - #### processReal2ProxyMsg

          void processReal2ProxyMsg(Real2ProxyMsg msg)

      Process the incoming Real2Proxy message
      Parameters:
        `msg` - the Real2Proxy message

Copyright © 2013. All rights reserved.